/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/candidatepreviousemployers.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/candidatepreviousemployers.xml',
'<View deleteAllowed="true" title="Candidate previous employers" defaultFormHandler="xxas_applicant_pkg.save_application_form">

  <CreateFields>
    <Hidden id="PREV_EMPR_ID" valueGenerator="SEQUENCE:PER_PREVIOUS_EMPLOYERS_S"/>
    <TextInput id="PREV_EMPR_NAME" label="{message.XXAS_PREV_EMPR_NAME}" enabled="true" required="true"/>
    <Date id="PREV_EMPR_START_DATE" label="{message.XXAS_PREV_EMPR_START_DATE}" enabled="true" required="true"/>
    <Date id="PREV_EMPR_END_DATE" label="{message.XXAS_PREV_EMPR_END_DATE}" enabled="true" required="false"/>
    <Hidden id="PREV_EMPR_JOB_ID" valueGenerator="SEQUENCE:PER_PREVIOUS_JOBS_S"/>
    <TextInput id="PREV_EMPR_JOB_NAME" label="{message.XXAS_PREV_EMPR_JOB_NAME}" enabled="true" required="true"/>
    <TextInput id="PREV_EMPR_ADDRESS" label="{message.XXAS_PREV_EMPR_ADDRESS}" enabled="true" required="false"/>
    <TextArea id="PREV_EMPR_DUTIES" label="Job Duties" visible="true"/>
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/candidatepreviousemployers.xml');
END;
/
COMMIT;
EXIT;
